# $Revision: 1.2.2.2 $, $Date: 2003/08/08 14:05:20 $
Summary:	Linux Audio Developer's Simple Plugin API plugin for xmms.
Summary(pl):	Wtyczka Linux Audio Developer's Simple Plugin API dla xmmsa.
Name:		xmms-effect-ladspa
Version:	0.6
Release:	3
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://www.ecs.soton.ac.uk/~njl98r/code/ladspa/xmms_ladspa-%{version}.tar.gz
# Source0-md5:	b3cd498fa6206910d14a8540ac66f19f
URL:		http://www.ecs.soton.ac.uk/~njl98r/code/ladspa/
BuildRequires:	xmms-devel
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xmms_plugin_dir	%(xmms-config --effect-plugin-dir)

%description
XMMS LADSPA is an Effect for XMMS that provides (some of) the power of
the Linux Audio Developer's Simple Plugin API to your everyday MP3 and
all-around media player.

Normally XMMS can only handle a single Effect, such as Echo and it has
to be written specifically for XMMS. With XMMS LADSPA you can use any
number of audio processing plugins written to the LADSPA
specification, which includes all the GPL software at plugin.org.uk
maintained by Steve Harris.

%prep
%setup -q -n xmms_ladspa

%build
%{__cc} -Wall -shared %{rpmcflags} `xmms-config --cflags` -o ladspa.so ladspa.c

%install
rm -rf $RPM_BUILD_ROOT

install -D ladspa.so \
	$RPM_BUILD_ROOT%{_xmms_plugin_dir}/ladspa.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog PLUGINS
%attr(755,root,root) %{_xmms_plugin_dir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-effect-ladspa.spec,v $
Revision 1.2.2.2  2003/08/08 14:05:20  misi3k
- rel 3
- rebuild
- md5

Revision 1.2.2.1  2003/07/11 12:04:54  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.2  2003/02/06 02:17:48  kloczek
- release 2: install plugin in system avalailbe xmms plugin depending path.

Revision 1.1  2003/01/19 00:01:36  wolf
- new

